org.apache.solr.util

## Class SolrCLI.SolrCloudTool

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase
  - - org.apache.solr.util.SolrCLI.SolrCloudTool

- All Implemented Interfaces:
    SolrCLI.Tool
  Direct Known Subclasses:
    SolrCLI.HealthcheckTool
  Enclosing class:
    SolrCLI

      public abstract static class SolrCLI.SolrCloudTool
      extends SolrCLI.ToolBase

  Helps build SolrCloud aware tools by initializing a CloudSolrClient instance before running the tool.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `stdout, verbose`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SolrCloudTool(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.cli.Option[]` | `getOptions()`
    `protected abstract void` | `runCloudTool(CloudSolrClient cloudSolrClient, org.apache.commons.cli.CommandLine cli)` Runs a SolrCloud tool with CloudSolrClient initialized
    `protected void` | `runImpl(org.apache.commons.cli.CommandLine cli)`

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `echo, runTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.util.SolrCLI.Tool

      `getName`

- - ### Constructor Detail

    - #### SolrCloudTool

          protected SolrCloudTool(PrintStream stdout)

  - ### Method Detail

    - #### getOptions

          public org.apache.commons.cli.Option[] getOptions()

    - #### runImpl

          protected void runImpl(org.apache.commons.cli.CommandLine cli)
                          throws Exception

      Specified by:
        `runImpl` in class `SolrCLI.ToolBase`
      Throws:
        `Exception`

    - #### runCloudTool

          protected abstract void runCloudTool(CloudSolrClient cloudSolrClient,
                                               org.apache.commons.cli.CommandLine cli)
                                        throws Exception

      Runs a SolrCloud tool with CloudSolrClient initialized
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.